<?php

namespace App\Events\Accounts;

use App\Models\User;
use Illuminate\Queue\SerializesModels;

class UserHasRegistered implements UserEvent {
    use SerializesModels;

    /** @var User */
    private $user;

    /**
     * @param User $user
     */
    public function __construct(User $user) {
        $this->user = $user;
    }

    /**
     * @return User
     */
    public function getData(): User {
        return $this->user;
    }
}
